﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Administration
{
    public class Constants
    {
        public const string MSG_CHAR_REQUEST = "REQUEST";
        public const string MSG_CHAR_ANSWER = "ANSWER";
        public const string MSG_CHAR_UPDATE = "UPDATE";

        public const string MSG_CHAR_REQUEST_END = MSG_CHAR_REQUEST + "END";
        public const string MSG_CHAR_ANSWER_END_OK = MSG_CHAR_ANSWER + "OK";
        public const string MSG_CHAR_ANSWER_END_FA = MSG_CHAR_ANSWER + "FAIL";
        public const string MSG_CHAR_UPDATE_END = MSG_CHAR_UPDATE + "END";

        public const string ADMIN_PLAYER_PREFIX = "player";
        public const string ADMIN_ITEM_PLAYER_ID = "player_id";
        public const string ADMIN_ITEM_PLAYER_LOGIN = "player_login";
        public const string ADMIN_ITEM_PLAYER_NAME = "player_name";

        public const string ADMIN_SHIP_PREFIX = "ship";
        public const string ADMIN_BASE_PREFIX = "base";
        
        public const string REQUEST_ADMIN_CREATE_SHIP_CREATED = "admin_create_ship_created";
  
        public const string ADMIN_PLAYER_NAME_FILTER = "player_name_filter";

        public const string ADMIN_ITEM_BAN_REASON = "ban_reason";
        public const string ADMIN_ITEM_BAN_DAY_DURATION = "ban_day_duration";
        public const string ADMIN_ITEM_BAN_LEVEL = "ban_level";

        public const string REQUEST_ADMIN_BAN_PLAYER_HAS_BAN = "player_has_ban";
        public const string REQUEST_ADMIN_PLAYER_BAN_INFORMATION_HAS_BAN = "player_has_ban";
        public const string REQUEST_ADMIN_PLAYER_INFORMATION_HAS_BAN = "player_has_ban";
        public const string REQUEST_ADMIN_PLAYERS_HAS_BAN = "player_has_ban";

        public const string REQUEST_ADMIN_BAN_PLAYER_RESULT = "ban_player_result";
        public const string REQUEST_ADMIN_BAN_PLAYER_RESULT_ADDED = "admin_ban_player_result_added";
        public const string REQUEST_ADMIN_BAN_PLAYER_RESULT_UPDATED = "admin_ban_player_result_updated";
        public const string REQUEST_ADMIN_BAN_PLAYER_RESULT_CANCELED = "admin_ban_player_result_canceled";      

        public const string PROTOCOL_PAR_OK = "protocol_par_ok";
        public const string PROTOCOL_PAR_NAME_ALREADY_EXISTS = "protocol_par_name_already_exists";
        public const string PROTOCOL_PAR_LOGIN_ALREADY_EXISTS = "protocol_par_login_already_exists";
        public const string PROTOCOL_PAR_INTERNAL_ERROR = "protocol_par_internal_error";						
    }

    public class Requests
    {
        public const string REQUEST_ADMIN_PING = "ping";
        public const string REQUEST_ADMIN_PLAYERS = "admin_players";
        public const string REQUEST_ADMIN_PLAYER_INFORMATION = "admin_player_information";
        public const string REQUEST_ADMIN_SHIP_INFORMATION = "admin_ship_information";
        public const string REQUEST_ADMIN_BASE_INFORMATION = "admin_base_information";
        public const string REQUEST_ADMIN_ADD_REALM = "request_admin_add_realm";
        public const string REQUEST_ADMIN_BAN_PLAYER = "admin_ban_player";
        public const string REQUEST_ADMIN_PLAYER_BAN_INFORMATION = "admin_player_ban_information";
        public const string REQUEST_ADMIN_CREATE_SHIP = "admin_create_ship";
        public const string REQUEST_ADMIN_LOGIN = "login";
    }
}
