/*! \mainpage Divergent territory: Client main page
 *
 * 
 * 
 * \section about_project Project info
 *	Divergent territory is name of our game.  The project was done by Martin Ruzicka, Stepan Poljak, Jakub Melka and Martin Urza.
 *  The project consist of two parts: client and server application parts. Server application
 *  is responsible for game logic issues. Client application provide on the other hand user pleasant GUI 
 *  to handle the game.
 *
 * \image html DivergentTerritoryBig.jpg
 *
 *
 * \section intro_sec Client introduction
 *
 * Client application is backend part of Divergent territory game, used by end users.
 * Client uses Qt library for GUI part: all tables, buttons, widgets and windows are done Qt.
 * Client is also using 3D graphic, which is provided by Kodiak engine. Kodiak is based on OpenGL
 *  library and Nvidia CG shaders.
 *
 * \section install_sec Installation
 *
 * \subsection step1 Step 1:
 *		Download most actual source codes from <A HREF="svn://cgg.mff.cuni.cz/softproj2010"> svn://cgg.mff.cuni.cz/softproj2010 </A>
 * \subsection step2 Step 2: 
 *		Download and install Qt 4.7.1 from  <A HREF="http://qt.nokia.com/products/"> http://qt.nokia.com/products/ </A>. Newer version should be also ok, but no warranty provided.
 * \subsection step3 Step 3: 
 *		Download and install newest NVidia CG toolkit from <A HREF="http://developer.nvidia.com/cg-toolkit"> http://developer.nvidia.com/cg-toolkit </A>
 *
 *
 * \section project_structure Project structure
 *	Source codes written specialy for Divergent territory client application can be found it  src/softProj/
 *
 */