
#ifndef COMMON_H
#define COMMON_H

#ifdef _DEBUG
#include <stdlib.h>
#include <crtdbg.h>

#endif

#if defined(_DEBUG)
#define DEBUG_BREAK_ON_ERROR
#endif

#if !defined(IBPP_WINDOWS)
#define IBPP_WINDOWS
#endif

/* hacky */

#if defined(DONT_USE_HACKS)
    #define DONT_USE_FAKE_ENGINES
    #define DONT_USE_FAKE_WARP
#endif

#if defined(_DEBUG)
    /* verbose */

    /* globalni povoleni / zakazani ladicich zprav */
    #define DV_SERVER_VERBOSE

    #if defined(DV_SERVER_VERBOSE)
        #define DV_SERVER_VERBOSE_REQUEST                           /* zobrazovani requestu                                 */
        #define DV_SERVER_VERBOSE_LOGON                             /* zobrazovani prihlaseni                               */
     // #define DV_SERVER_VERBOSE_SENDED_DATA                       /* zobrazovani poslanych dat                            */
        #define DV_SERVER_VERBOSE_EVENTS                            /* zobrazovani zmen eventu                              */
        #define DV_SERVER_VERBOSE_MOBILITY_EVENT                    /* zobrazovani spusteni mobility eventu                 */
        #define DV_SERVER_VERBOSE_QGPLASMA_EVENT                    /* zobrazovani spusteni qgplasma eventu                 */
        #define DV_SERVER_VERBOSE_ENERGY_DISTRIBUTION_EVENT         /* zobrazovani spusteni energy distribution eventu      */
        #define DV_SERVER_VERBOSE_CONTAINERED_RESOURCES_EVENT       /* zobrazovani spusteni containered resource eventu     */
        #define DV_SERVER_VERBOSE_CHECK_CONSTRUCTION_EVENT          /* zobrazovani spusteni kontroly postaveni eventu       */
    #endif
#endif

#endif