// ################################
// ## Obecne nezavisle konstanty ##
// ##    napriklad fyzikalni     ##
// ################################

#pragma once
#ifndef INDEPENDENT_CONSTANTS_H
#define INDEPENDENT_CONSTANTS_H

#include "common.h"

// ################################
// ################################

#define TERA                      (unsigned long long)1000000000000
#define GIGA                      (unsigned long long)1000000000
#define MEGA                      (unsigned long long)1000000
#define KILO                      (unsigned long long)1000
#define NANO                      (double)0.000000001

// ################################

#define GRAMS_TO_KILOGRAMS        (double)0.001f

// ################################

#define HUNDRED_PERCENT           100

// ################################

#define HEAVY_WATER_DENSITY       1100
#define DEUTERIUM_DENSITY         8192
#define ZIRCONIUM_CRYSTAL_DENSITY 4670
#define ILMENITE_DENSITY          4800
#define TITANIUM_DENSITY          4540

// ################################
// ################################

typedef unsigned long dtIdentifier; // tohle sem asi moc nepatri, ale nechci kvuli tomu zakladat specialni soubor a musi to byt vsude

// ################################
// ################################

#endif