﻿using System;
using System.Collections.Generic;
using System.Text;
using System.ComponentModel;

namespace Administration
{
    public class SimplePlayer : INotifyPropertyChanged
    {
        private ulong id;
        private string name;
        private string login;

        public ulong ID
        {
            get
            {
                return id;
            }
            set
            {
                id = value;
            }
        }

        public string Login
        {
            get
            {
                return login;
            }
            set
            {
                login = value;
            }
        }

        public string Name
        {
            get
            {
                return name;
            }
            set
            {
                name = value;
            }
        }

        public SimplePlayer()
        {
        }

        public SimplePlayer(ulong id, string login, string name)
        {
            this.id = id;
            this.name = name;
            this.login = login;
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void NotifyPropertyChanged(string name)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(name));
            }
        }
    }
}
