#ifndef CENTRAL_INFO_WIDGET_H
#define CENTRAL_INFO_WIDGET_H

#include <QtGui>
#include "ui_centralInfoWidget.h"
#include "softProj\DetailsWidget\ParamDetailsWidget.h"
#include "softProj\clientServer\structs.h"
#include "softProj\Main\INotifyUpdate.h"

///Displays main ship or base info.
/**Displays main ship or base info. */
class CentralInfoWidget : public NotifyWidget {
	Q_OBJECT
public:
	/** Creates new instance of CentralInfoWidget
	@param parent Parent widget
	*/
	CentralInfoWidget(QWidget * parent);

	/** Sets widget state
	@param details State holder to set state from
	*/
	void setState(CentralInfoDetails & details);

	void notifyUpdate();

private:
	Ui::CentralInfoWidget ui_;
	CentralInfoDetails state_;
};

#endif