#ifndef GAME_PARAMS_H
#define GAME_PARAMS_H

#include <qstring.h>

namespace GameParams {
	const QString QUARK_GLUON_CORE_SPEED = "SPEC_PTS_QUARK_GLUON_CORE_SPEED";
	const QString QUARK_GLUON_CORE_CONSUMPTION = "SPEC_PTS_QUARK_GLUON_CORE_CONSUMPTION";

	const QString NAVIGATION_COMPUTER_SPEED = "SPEC_PTS_NAVIGATION_COMPUTER_SPEED";

	const QString SUBSPACE_BEACON_SPEED = "SPEC_PTS_SUBSPACE_BEACON_SPEED";

	const QString INERTIAL_DAMPERS_SPEED = "SPEC_PTS_INERTIAL_DAMPERS_SPEED";

	const QString IMPULS_ENGINE_FORCE = "SPEC_PTS_IMPULS_ENGINE_FORCE";
	const QString IMPULS_ENGINE_CONSUMPTION = "SPEC_PTS_IMPULS_ENGINE_CONSUMPTION";

	const QString MECHANICAL_DAMPERS_ACCELERATION = "SPEC_PTS_MECHANICAL_DAMPERS_ACCELERATION";

	const QString DRONE_MISSILES_DAMAGE = "SPEC_PTS_DRONE_MISSILES_DAMAGE";
	const QString DRONE_MISSILES_PRECISION = "SPEC_PTS_DRONE_MISSILES_PRECISION";
	const QString DRONE_MISSILES_RANGE = "SPEC_PTS_DRONE_MISSILES_RANGE";

	const QString DRONE_MISSILE_LAUNCHER_ACCUMULATOR = "SPEC_PTS_DRONE_MISSILE_LAUNCHER_ACCUMULATOR";
	const QString DRONE_MISSILE_LAUNCHER_CHARGING = "SPEC_PTS_DRONE_MISSILE_LAUNCHER_CHARGING";

	const QString SHIPS_LEVEL = "SPEC_PTS_SHIPS_LEVEL";

	const QString BASES_LEVEL =  "SPEC_PTS_BASES_LEVEL";

	const QString HANGARS_LEVEL = "SPEC_PTS_HANGARS_LEVEL";

	const QString ANDROIDS_LEVEL = "SPEC_PTS_ANDROIDS_LEVEL";
	const QString ANDROIDS_CONSUMPTION = "SPEC_PTS_ANDROIDS_CONSUMPTION";

	const QString ENERGETIC_ACCUMULATOR_ACCUMULATOR = "SPEC_PTS_ENERGETIC_ACCUMULATOR_ACCUMULATOR";
	const QString ENERGETIC_ACCUMULATOR_CHARGING = "SPEC_PTS_ENERGETIC_ACCUMULATOR_CHARGING";

	const QString MAINFRAME_BIO_NODES = "SPEC_PTS_MAINFRAME_BIO_NODES";
	const QString MAINFRAME_PREDICTION = "SPEC_PTS_MAINFRAME_PREDICTION";
	const QString MAINFRAME_TIME_REUSABILITY = "SPEC_PTS_MAINFRAME_TIME_REUSABILITY";
	const QString MAINFRAME_CONSUMPTION = "SPEC_PTS_MAINFRAME_CONSUMPTION";

	const QString SCIENTIFIC_LABS_LEVEL = "SPEC_PTS_SCIENTIFIC_LABS_LEVEL";

	const QString LIFE_SUPPORT_CAPACITY = "SPEC_PTS_LIFE_SUPPORT_CAPACITY";
	const QString LIFE_SUPPORT_CONSUMPTION = "SPEC_PTS_LIFE_SUPPORT_CONSUMPTION";

	const QString WEAPON_ENERGY_CIRCUIT_CHARGING = "SPEC_PTS_WEAPON_ENERGY_CIRCUIT_CHARGING";

	const QString TRANSPORT_BEAM_GENERATOR_ACCUMULATOR = "SPEC_PTS_TRANSPORT_BEAM_GENERATOR_ACCUMULATOR";
	const QString TRANSPORT_BEAM_GENERATOR_CHARGING  = "SPEC_PTS_TRANSPORT_BEAM_GENERATOR_CHARGING";
	const QString TRANSPORT_BEAM_GENERATOR_FORCIBILITY =  "SPEC_PTS_TRANSPORT_BEAM_GENERATOR_FORCIBILITY";
	const QString TRANSPORT_BEAM_GENERATOR_PRECISION = "SPEC_PTS_TRANSPORT_BEAM_GENERATOR_PRECISION";
	const QString TRANSPORT_BEAM_GENERATOR_RANGE = "SPEC_PTS_TRANSPORT_BEAM_GENERATOR_RANGE";

	const QString LASER_GUN_ACCUMULATOR =  "SPEC_PTS_LASER_GUN_ACCUMULATOR";
	const QString LASER_GUN_CHARGING  = "SPEC_PTS_LASER_GUN_CHARGING";
	const QString LASER_GUN_FORCIBILITY = "SPEC_PTS_LASER_GUN_FORCIBILITY";
	const QString LASER_GUN_PRECISION = "SPEC_PTS_LASER_GUN_PRECISION";
	const QString LASER_GUN_RANGE = "SPEC_PTS_LASER_GUN_RANGE";

	const QString DEFLECTOR_SHIELDS_GENERATOR_SOLIDITY = "SPEC_PTS_DEFLECTOR_SHIELDS_GENERATOR_SOLIDITY";
	const QString DEFLECTOR_SHIELDS_GENERATOR_ACCUMULATOR = "SPEC_PTS_DEFLECTOR_SHIELDS_GENERATOR_ACCUMULATOR";
	const QString DEFLECTOR_SHIELDS_GENERATOR_CHARGING = "SPEC_PTS_DEFLECTOR_SHIELDS_GENERATOR_CHARGING";

	const QString HIGH_RESOLUTION_SENSORS_LEVEL = "SPEC_PTS_HIGH_RESOLUTION_SENSORS_LEVEL";
	const QString HIGH_RESOLUTION_SENSORS_RANGE = "SPEC_PTS_HIGH_RESOLUTION_SENSORS_RANGE";
	const QString HIGH_RESOLUTION_SENSORS_CONSUMPTION = "SPEC_PTS_HIGH_RESOLUTION_SENSORS_CONSUMPTION";

	const QString LONG_RANGE_SENSORS_LEVEL = "SPEC_PTS_LONG_RANGE_SENSORS_LEVEL";
	const QString LONG_RANGE_SENSORS_RANGE = "SPEC_PTS_LONG_RANGE_SENSORS_RANGE";
	const QString LONG_RANGE_SENSORS_CONSUMPTION = "SPEC_PTS_LONG_RANGE_SENSORS_CONSUMPTION";

	const QString CLOAKING_DEVICE_LEVEL = "SPEC_PTS_CLOAKING_DEVICE_LEVEL";
	const QString CLOAKING_DEVICE_CONSUMPTION = "SPEC_PTS_CLOAKING_DEVICE_CONSUMPTION";

	const QString PROBE_DEVICE_LEVEL = "SPEC_PTS_PROBE_DEVICE_LEVEL";

	const QString MAGNETICAL_FILTER_PRODUCTION = "SPEC_PTS_MAGNETICAL_FILTER_PRODUCTION";

	const QString DEUTERIUM_DECOMPOSER_PRODUCTION = "SPEC_PTS_DEUTERIUM_DECOMPOSER_PRODUCTION";
	const QString DEUTERIUM_DECOMPOSER_METAMORPHOSIS = "SPEC_PTS_DEUTERIUM_DECOMPOSER_METAMORPHOSIS";

	const QString ZIRCONIUM_REACTOR_PRODUCTION = "SPEC_PTS_ZIRCONIUM_REACTOR_PRODUCTION";
	const QString ZIRCONIUM_REACTOR_METAMORPHOSIS = "SPEC_PTS_ZIRCONIUM_REACTOR_METAMORPHOSIS";

	const QString ILMENITE_FURNACE_PRODUCTION = "SPEC_PTS_ZIRCONIUM_REACTOR_METAMORPHOSIS";
	const QString ILMENITE_FURNACE_METAMORPHOSIS = "SPEC_PTS_ILMENITE_FURNACE_METAMORPHOSIS";

	const QString MAGNETICAL_COLLECTORS_OF_PLASMA_WINDING_SPEED = "SPEC_PTS_MAGNETICAL_COLLECTORS_OF_PLASMA_WINDING_SPEED";

	const QString SUBMERSIBLE_FILTRATION_TANK_WINDING_SPEED = "SPEC_PTS_SUBMERSIBLE_FILTRATION_TANK_WINDING_SPEED";
	const QString SUBMERSIBLE_FILTRATION_TANK_RANGE = "SPEC_PTS_SUBMERSIBLE_FILTRATION_TANK_RANGE";

	const QString SUBMARINE_MINING_MACHINE_WINDING_SPEED = "SPEC_PTS_SUBMARINE_MINING_MACHINE_WINDING_SPEED";
	const QString SUBMARINE_MINING_MACHINE_RANGE = "SPEC_PTS_SUBMARINE_MINING_MACHINE_RANGE";

	const QString UNDERGROUND_QUARRYING_WINDING_SPEED = "SPEC_PTS_UNDERGROUND_QUARRYING_WINDING_SPEED";
	const QString UNDERGROUND_QUARRYING_RANGE = "SPEC_PTS_UNDERGROUND_QUARRYING_RANGE";
};

#endif