REM ScienceTree

uic -o ScienceTreeWidget/ui_ScienceTreeWidget.h ScienceTreeWidget/ScienceTreeWidget.ui

moc -o DebugAndRelease/moc_CompositeItem.cpp ScienceTreeWidget/CompositeItem.h
moc -o DebugAndRelease/moc_CompositeItemsWidget.cpp ScienceTreeWidget/CompositeItemsWidget.h
moc -o DebugAndRelease/moc_ListDetailsViewWidget.cpp ScienceTreeWidget/ListDetailsViewWidget.h
moc -o DebugAndRelease/moc_NodeWidget.cpp ScienceTreeWidget/NodeWidget.h
moc -o DebugAndRelease/moc_ScienceTreeWidget.cpp ScienceTreeWidget/ScienceTreeWidget.h
moc -o DebugAndRelease/moc_ScienceNode.cpp ScienceTreeWidget/ScienceNode.h
moc -o DebugAndRelease/moc_ScienceTree.cpp ScienceTreeWidget/ScienceTree.h

moc -o DebugAndRelease/moc_CentralUI.cpp SummaryWidget/CentralUI.h

REM SummaryWidget
uic -o SummaryWidget/ui_SummaryWidget.h SummaryWidget/SummaryWidget.ui
moc -o DebugAndRelease/moc_SummaryWidget.cpp SummaryWidget/SummaryWidget.h

REM DetailsWidget

uic -o DetailsWidget/ui_DetailsWidget.h DetailsWidget/DetailsWidget.ui

moc -o DebugAndRelease/moc_DetailsWidget.cpp DetailsWidget/DetailsWidget.h
moc -o DebugAndRelease/moc_MockTestWidget.cpp DetailsWidget/MockTestWidget.h

REM ChatWidget

uic -o ChatWidget/ui_ChatWidget.h ChatWidget/ChatWidget.ui
moc -o DebugAndRelease/moc_ChatWidget.cpp ChatWidget/ChatWidget.h
moc -o DebugAndRelease/moc_WritingTextBox.cpp ChatWidget/WritingTextBox.h

uic -o ChatWidget/ui_BuddyWidget.h ChatWidget/BuddyWidget.ui
moc -o DebugAndRelease/moc_BuddyWidget.cpp ChatWidget/BuddyWidget.h

uic -o ChatWidget/ui_IncomingWidget.h ChatWidget/IncomingWidget.ui
moc -o DebugAndRelease/moc_IncomingWidget.cpp ChatWidget/IncomingWidget.h

REM MainWindow

uic -o ui_MainWindow.h MainWindow.ui
moc -o DebugAndRelease/moc_MainWindow.cpp MainWindow.h

REM TradeWidget

uic -o TradeWidget/ui_TradeWidget.h TradeWidget/TradeWidget.ui
moc -o DebugAndRelease/moc_TradeWidget.cpp TradeWidget/TradeWidget.h

uic -o TradeWidget/ui_ItemWidget.h TradeWidget/ItemWidget.ui
moc -o DebugAndRelease/moc_ItemWidget.cpp TradeWidget/ItemWidget.h

moc -o DebugAndRelease/moc_settings.cpp settings.h

REM SelectionWidget
uic -o SelectionWidget/ui_SelectionWidget.h SelectionWidget/SelectionWidget.ui
moc -o DebugAndRelease/moc_SelectionWidget.cpp SelectionWidget/SelectionWidget.h

REM HangarWidget
uic -o HangarWidget/ui_HangarWidget.h HangarWidget/HangarWidget.ui
moc -o DebugAndRelease/moc_HangarWidget.cpp HangarWidget/HangarUI.h

REM OtherviewWidget
uic -o SelectionWidget/ui_OtherviewWidget.h SelectionWidget/OtherviewWidget.ui
moc -o DebugAndRelease/moc_OtherviewWidget.cpp SelectionWidget/OtherviewWidget.h

REM AttackWidget

uic -o AttackWidget/ui_AttackWidget.h AttackWidget/AttackWidget.ui
moc -o DebugAndRelease/moc_AttackWidget.cpp AttackWidget/AttackWidget.h

REM WeaponsWidget

uic -o WeaponsWidget/ui_WeaponsWidget.h WeaponsWidget/WeaponsWidget.ui
moc -o DebugAndRelease/moc_WeaponsWidget.cpp WeaponsWidget/WeaponsWidget.h

REM RenderSwitcher
moc -o DebugAndRelease/moc_RenderSwitcher.cpp RenderSwitcher.h

REM NavigationWidget

uic -o NavigationWidget/ui_NavigationWidget.h NavigationWidget/NavigationWidget.ui
moc -o DebugAndRelease/moc_NavigationWidget.cpp NavigationWidget/NavigationWidget.h

REM DevicesWidget

uic -o DevicesWidget/ui_allDevicesWidget.h DevicesWidget/allDevicesWidget.ui
moc -o DebugAndRelease/moc_allDevicesWidget.cpp DevicesWidget/allDevicesWidget.h

uic -o DevicesWidget/ui_combinedSlider.h DevicesWidget/combinedSlider.ui
moc -o DebugAndRelease/moc_combinedSlider.cpp DevicesWidget/combinedSlider.h

uic -o DevicesWidget/ui_deviceItemWidget.h DevicesWidget/deviceItemWidget.ui
moc -o DebugAndRelease/moc_deviceItemWidget.cpp DevicesWidget/deviceItemWidget.h

