// ################################
// ##    Funkce pro mapovani     ##
// ##  herniho a realneho casu   ##
// ################################

#pragma once
#ifndef TIME_MAPPING_H
#define TIME_MAPPING_H

#include "common.h"

#include <utility>

#include "datetime.h"

using namespace std;

// ################################
// ################################

#define GAME_TIME_TO_WALL_TIME_SPEED_RATIO 30

// ################################
// ################################

typedef pair<dv_time::datetime, dv_time::datetime> dateTimeDateTimePair;

// ################################
// ################################

extern dateTimeDateTimePair gameTimeEQWallTime;

// ################################
// ################################

dv_time::datetime wt2gt(dv_time::datetime wallTime);
dv_time::datetime gt2wt(dv_time::datetime gameTime);

// ################################
// ################################

dv_time::datetime wt2gtRelative(dv_time::datetime wallTime);
dv_time::datetime gt2wtRelative(dv_time::datetime gameTime);

// ################################
// ################################


#endif